/*-
 * ~~~~~~licensing~~~~~~
 * bundle-service
 * ==========
 * Copyright (C) 2020 - 2021 EmDev LLC
 * ==========
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ~~~~~~/licensing~~~~~~
 */
package ru.entaxy.esb.system.management.bundle.jpa.dto;

import ru.entaxy.esb.system.management.bundle.jpa.entity.BundleType;

public class BundleDto {

    private String bundleName;
    private String bundleUrl;
    private String version;
    private BundleType type;
    private BundleStatus status;

    public BundleDto() {
    }
    
    public BundleDto(String bundleName) {
        this.bundleName = bundleName;
    }

    public BundleDto(String bundleName, BundleStatus status) {
        this.bundleName = bundleName;
        this.status = status;
    }
    
    public BundleDto(String bundleName, BundleType type) {
        this.bundleName = bundleName;
        this.type = type;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getBundleName() {
        return bundleName;
    }

    public void setBundleName(String bundleName) {
        this.bundleName = bundleName;
    }

    public String getBundleUrl() {
        return bundleUrl;
    }

    public void setBundleUrl(String bundleUrl) {
        this.bundleUrl = bundleUrl;
    }

    public BundleType getType() {
		return type;
	}

	public void setType(BundleType type) {
		this.type = type;
	}

	public BundleStatus getStatus() {
        return status;
    }

    public void setStatus(BundleStatus status) {
        this.status = status;
    }
}
